"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runOnReadyState = runOnReadyState;
var addEventListener_1 = require("./addEventListener");
function runOnReadyState(configuration, expectedReadyState, callback) {
    if (document.readyState === expectedReadyState || document.readyState === 'complete') {
        callback();
    }
    else {
        var eventName = expectedReadyState === 'complete' ? addEventListener_1.DOM_EVENT.LOAD : addEventListener_1.DOM_EVENT.DOM_CONTENT_LOADED;
        (0, addEventListener_1.addEventListener)(configuration, window, eventName, callback, { once: true });
    }
}
//# sourceMappingURL=runOnReadyState.js.map